Package org.springframework.web.filter

# Class ServletRequestPathFilter

java.lang.Object
org.springframework.web.filter.ServletRequestPathFilter

All Implemented Interfaces:
  `Filter`

public class ServletRequestPathFilter extends Object implements Filter
`Filter` that `parses and caches` a `RequestPath` that can then be accessed via `ServletRequestPathUtils.getParsedRequestPath(jakarta.servlet.ServletRequest)`.

Note: The `DispatcherServlet` already does the same, and therefore, this filter is mainly useful if you need to also have the parsed path available in the filter chain before and after the `DispatcherServlet`.

Since:
  5.3
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`ServletRequestPathFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.Filter

`destroy, init`

## Constructor Details

### ServletRequestPathFilter

public ServletRequestPathFilter()

## Method Details

### doFilter

public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException

Specified by:
  `doFilter` in interface `Filter`
Throws:
  `IOException`
  `ServletException`